popHealth v6 installation issue

Dear group,

I recently attempted an installation of popHealth v6 and ran into an issue during the the "Installing mongo DB, RabbitMQ, and Js-Ecqm-Engine using Chef Scripts" step of the documentation (https://github.com/OSEHRA/popHealth/wiki/Installation-v6.0). The chef recipe used to deploy the Js-ecqm-engine (https://github.com/OSEHRA/js-ecqm-engine-recipe) references a repo (https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu) which doesn't seem to be valid. I have opened an issue on github, but have not seen any reply. Are other people in the group able to install popHealth v6 successfully? I have not seen much discussed regarding the new version since it was initially made available four months ago. Would be great to find out if anyone is working toward the adoption of this new version.

Tom Latzo

like0

Comments

popHealth v6 installation issue

Peter Li's picture


Hi Tom,

 

We are looking at the issue.  We will be getting back to you as soon as we figure out what went wrong. 

 

We have had others that installed the 6.0 version, but no one mentioned issues on the chef script.

 

Thanks.

Peter

I recently attempted an installation of popHealth v6 and ran into an issue during the the "Installing mongo DB, RabbitMQ, and Js-Ecqm-Engine using Chef Scripts" step of the documentation (https://github.com/OSEHRA/popHealth/wiki/Installation-v6.0). The chef recipe used to deploy the Js-ecqm-engine (https://github.com/OSEHRA/js-ecqm-engine-recipe) references a repo (https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu) which doesn't seem to be valid. I have opened an issue on github, but have not seen any reply. Are other people in the group able to install popHealth v6 successfully? I have not seen much discussed regarding the new version since it was initially made available four months ago. Would be great to find out if anyone is working toward the adoption of this new version.

Tom Latzo

--
Full post: https://www.osehra.org/post/pophealth-v6-installation-issue
Manage my subscriptions: https://www.osehra.org/groups
Unsubscribe from "popHealth® Developer Open Source Project Group" Group: https://www.osehra.org/group/node/2953/unsubscribe

like0

popHealth v6 installation issue

Peter Li's picture


Hi Tom,

 

We did a new install from scratch and didn’t find any issue with the Chef script.

 

Can you tell us a bit more on the system that you are using, i.e., ubuntu 16.  Please send us a screen shot of any error messages that you get when running the script.

 

Thanks.

Peter

 

From: Apache <apache@groups.osehra.org> On Behalf Of pophealth-dev@groups.osehra.org
Sent: Monday, May 13, 2019 10:19 PM
To: pophealth-dev@groups.osehra.org
Subject: Re: [pophealth-dev] popHealth v6 installation issue

 

Hi Tom,

 

We are looking at the issue.  We will be getting back to you as soon as we figure out what went wrong. 

 

We have had others that installed the 6.0 version, but no one mentioned issues on the chef script.

 

Thanks.

Peter

I recently attempted an installation of popHealth v6 and ran into an issue during the the "Installing mongo DB, RabbitMQ, and Js-Ecqm-Engine using Chef Scripts" step of the documentation (https://github.com/OSEHRA/popHealth/wiki/Installation-v6.0). The chef recipe used to deploy the Js-ecqm-engine (https://github.com/OSEHRA/js-ecqm-engine-recipe) references a repo (https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu) which doesn't seem to be valid. I have opened an issue on github, but have not seen any reply. Are other people in the group able to install popHealth v6 successfully? I have not seen much discussed regarding the new version since it was initially made available four months ago. Would be great to find out if anyone is working toward the adoption of this new version.

Tom Latzo

--
Full post: https://www.osehra.org/post/pophealth-v6-installation-issue
Manage my subscriptions: https://www.osehra.org/groups
Unsubscribe from "popHealth® Developer Open Source Project Group" Group: https://www.osehra.org/group/node/2953/unsubscribe

like0

Re: [pophealth-dev] popHealth v6 installation issue

Tom Latzo's picture

Hi Peter,

I am specifically referring to a repo referenced in this file:
https://github.com/OSEHRA/js-ecqm-engine-recipe/blob/master/attributes/default.rb
On line # 10 there is:
default[:ecqmEngine][:js_ecqm_repository] = 'https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu'

When I try to access that resource, I am met with the following:

The page you were looking for doesn't exist.

You may have mistyped the address or the page may have moved.

Is this resource and the packages it hosts available publicly?

Thank you for the help,
Tom Latzo

like0

popHealth v6 installation issue

Peter Li's picture


This is a response from Raj:

 

This is not an issue. Users can not access the installer source using the URL because it is not built for viewing publicly.

 

This URL https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu' is not designed to provide any data in browser. This is used internally by the apt_repository module in chef to include the repository. Along with this URL, apt_repository requires details like distribution, build version and security key to recognize and install the correct repository from packager.io.

 

Are you using ubuntu OS?  The script only is tested for ubuntu OS.

 

Peter

 

From: lip@osehra.org <lip@osehra.org>
Sent: Tuesday, May 14, 2019 10:25 AM
To: Raju, Naga <Naga.Raju@medicaid.alabama.gov>
Subject: FW: [pophealth-dev] popHealth v6 installation issue

 

Is this problem related to the key issue?

 

What is the solution?

 

Peter

 

From: Apache <apache@groups.osehra.org> On Behalf Of pophealth-dev@groups.osehra.org
Sent: Tuesday, May 14, 2019 11:19 AM
To: popHealth® Developer Open Source Project Group <pophealth-dev@groups.osehra.org>
Subject: Re: [pophealth-dev] popHealth v6 installation issue

 

Hi Peter,

I am specifically referring to a repo referenced in this file:
https://github.com/OSEHRA/js-ecqm-engine-recipe/blob/master/attributes/default.rb
On line # 10 there is:
default[:ecqmEngine][:js_ecqm_repository] = 'https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu'

When I try to access that resource, I am met with the following:

The page you were looking for doesn't exist.

You may have mistyped the address or the page may have moved.

Is this resource and the packages it hosts available publicly?

Thank you for the help,
Tom Latzo

--
Full post: https://www.osehra.org/post/pophealth-v6-installation-issue
Manage my subscriptions: https://www.osehra.org/groups
Unsubscribe from "popHealth® Developer Open Source Project Group" Group: https://www.osehra.org/group/node/2953/unsubscribe

NOTICE: This email may contain privileged and confidential information protected from disclosure under the law, including the Health Insurance Portability and Accountability Act (HIPAA). This message and/or any files transmitted with it are intended only for the person or company to whom it is addressed. All recipients are hereby notified that any inadvertent or unauthorized receipt does not waive such privilege, and that unauthorized review, dissemination, distribution or copying of this communication is strictly prohibited and may subject you to criminal or civil penalties. If you receive this in error, please contact the sender, delete the material from any system and destroy any hardcopies.

like0

popHealth v6 installation issue

Nicholas Booth's picture






Hi:



Last week I installed pophealth 6.0 (production) which ran out of
the box. 



I've attached my log file of my successful install. 



I looked thru my log file for your error below.... my log file
indicated the install script appears to change to owner/mode/group.

    there may be an issue with one of these attributes or terminal
login/context...



I don't know if there have been changes since last week.



Nick



PS     I installed on 16.04 (w/update/upgrade/reboot) under user
pophealth

PSS  I noticed if I cut & paste a group of commands from install
instructions to Terminal, terminal would only pick up first one.

...   In some cases, I had to cut & paste each command line.

======================================


On 05/14/2019 11:19 AM,
pophealth-dev@groups.osehra.org wrote:
type="cite">

Hi Peter,

I am specifically referring to a repo referenced in this file:

href="https://github.com/OSEHRA/js-ecqm-engine-recipe/blob/master/attributes/default.rb">https://github.com/OSEHRA/js-ecqm-engine-recipe/blob/master/attributes/default.rb

On line # 10 there is:

default[:ecqmEngine][:js_ecqm_repository] = ' moz-do-not-send="true"
href="https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu">https://dl.packager.io/srv/deb/OSEHRA/js-ecqm-engine/master/ubuntu'

When I try to access that resource, I am met with the
following:

The page you were looking for doesn't exist.

You may have mistyped the address or the page may have moved.

Is this resource and the packages it hosts available publicly?

Thank you for the help,

Tom Latzo

--

Full post:
https://www.osehra.org/post/pophealth-v6-installation-issue

Manage my subscriptions: https://www.osehra.org/groups

Unsubscribe from "popHealth® Developer Open Source Project Group"
Group: https://www.osehra.org/group/node/2953/unsubscribe




like0